Package org.sonatype.maven.polyglot.execute

# Class ExecuteTaskSupport

java.lang.Object
org.sonatype.maven.polyglot.execute.ExecuteTaskSupport

All Implemented Interfaces:
  `ExecuteTask`

Direct Known Subclasses:
  `GroovyExecuteTask`

public abstract class ExecuteTaskSupport extends Object implements ExecuteTask
Support for `ExecuteTask` implementations.

Since:
  0.7
Author:
  Jason Dillon

## Constructor Summary

Constructors
Constructor
Description
`ExecuteTaskSupport()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
`String`
`getPhase()`
`void`
`setId(String id)`
`void`
`setPhase(String phase)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.sonatype.maven.polyglot.execute.ExecuteTask

`execute`

## Constructor Details

### ExecuteTaskSupport

public ExecuteTaskSupport()

## Method Details

### getId

public String getId()

Specified by:
  `getId` in interface `ExecuteTask`

### setId

public void setId(String id)

### getPhase

public String getPhase()

Specified by:
  `getPhase` in interface `ExecuteTask`

### setPhase

public void setPhase(String phase)